### Hierarchy

- unknown
  - GetPaymentAccountFormAsJsonRequest

## Index

### Constructors

- constructor

### Methods

- getPaymentMethodId
- serializeBinary
- setPaymentMethodId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetPaymentAccountFormAsJsonRequest(): GetPaymentAccountFormAsJsonRequest

- Inherited from jspb.Message.constructor

  #### Returns GetPaymentAccountFormAsJsonRequest

## Methods

### getPaymentMethodId

- getPaymentMethodId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1878

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1881

  #### Returns Uint8Array

### setPaymentMethodId

- setPaymentMethodId(value: string): GetPaymentAccountFormAsJsonRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1879

  #### Parameters

  - ##### value: string

  #### Returns GetPaymentAccountFormAsJsonRequest

### toObject

- toObject(includeInstance?: boolean): GetPaymentAccountFormAsJsonRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1882

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetPaymentAccountFormAsJsonRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentAccountFormAsJsonRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1885

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentAccountFormAsJsonRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentAccountFormAsJsonRequest, reader: BinaryReader): GetPaymentAccountFormAsJsonRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1886

  #### Parameters

  - ##### message: GetPaymentAccountFormAsJsonRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentAccountFormAsJsonRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentAccountFormAsJsonRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1884

  #### Parameters

  - ##### message: GetPaymentAccountFormAsJsonRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetPaymentAccountFormAsJsonRequest ): GetPaymentAccountFormAsJsonRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1883

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentAccountFormAsJsonRequest

  #### Returns GetPaymentAccountFormAsJsonRequest . AsObject

Generated using TypeDoc